<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="report name" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="062875ca-5458-41dc-942d-ba05b1c3338a">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<style name="table">
		<box>
			<pen lineWidth="1.0" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TH" mode="Opaque" backcolor="#F0F8FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_CH" mode="Opaque" backcolor="#BFE1FF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="table_TD" mode="Opaque" backcolor="#FFFFFF">
		<box>
			<pen lineWidth="0.5" lineColor="#000000"/>
		</box>
	</style>
	<style name="Crosstab Data Text" hAlign="Center"/>
	<subDataset name="Table Dataset 1" uuid="05d974e2-ddb0-4db2-8797-5d54de415e12"/>
	<parameter name="parameterPeriod" class="java.lang.String"/>
	<parameter name="parameterFilter" class="java.lang.String"/>
	<parameter name="totaleScadenze" class="java.lang.String"/>
	<field name="tableScadenzarioData" class="java.lang.String"/>
	<field name="tableScadenzarioDescrizione" class="java.lang.String"/>
	<field name="tableScadenzarioControparte" class="java.lang.String"/>
	<field name="tableScadenzarioImporto" class="java.lang.String"/>
	<field name="tableScadenzarioCompletato" class="java.lang.Boolean"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="60" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="802" height="60" uuid="8ed1332f-e778-4539-9fec-b613ea18333a"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="36"/>
				</textElement>
				<text><![CDATA[Elenco Scadenze]]></text>
			</staticText>
			<line>
				<reportElement x="3" y="50" width="797" height="1" uuid="21beaa08-8b0d-4ff1-8386-a5beb007b618"/>
			</line>
			<rectangle>
				<reportElement x="3" y="52" width="797" height="5" backcolor="#000000" uuid="9c9cb255-724d-4489-8930-da42ce7be41f"/>
			</rectangle>
		</band>
	</title>
	<pageHeader>
		<band height="42" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="1" width="82" height="20" uuid="4db9eb9a-ffea-4caf-b9e2-77aa6dfa3dc6"/>
				<textElement verticalAlignment="Middle">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Periodo:]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="21" width="82" height="20" uuid="33570786-1c8c-4435-832e-384e18454adc"/>
				<textElement verticalAlignment="Middle">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Filtro:]]></text>
			</staticText>
			<textField>
				<reportElement x="82" y="1" width="235" height="20" uuid="20c219b1-3dc1-4d47-a6d7-422d338b9aec"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="13"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{parameterPeriod}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="82" y="22" width="235" height="20" uuid="69935429-5241-4cd3-b644-8f1580330608"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="13"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{parameterFilter}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="31" splitType="Stretch">
			<staticText>
				<reportElement style="table" mode="Opaque" x="0" y="0" width="82" height="31" backcolor="#99CCFF" uuid="e6cdf222-7727-4c54-8e15-27c563d262f1"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" markup="none">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Data]]></text>
			</staticText>
			<staticText>
				<reportElement style="table" mode="Opaque" x="82" y="0" width="329" height="31" backcolor="#99CCFF" uuid="8a199545-5a2e-4d3d-b072-381797fbcdf3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" markup="none">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Descrizione]]></text>
			</staticText>
			<staticText>
				<reportElement style="table" mode="Opaque" x="411" y="0" width="165" height="31" backcolor="#99CCFF" uuid="187fc5e1-1378-44e9-8f67-19da1b448ca3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" markup="none">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Controparte]]></text>
			</staticText>
			<staticText>
				<reportElement style="table" mode="Opaque" x="576" y="0" width="160" height="31" backcolor="#99CCFF" uuid="921948bc-723a-462d-8ab7-52e723357283"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" markup="none">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Importo]]></text>
			</staticText>
			<staticText>
				<reportElement style="table" mode="Opaque" x="736" y="0" width="66" height="31" backcolor="#99CCFF" uuid="af5f53ab-4d52-4086-a7be-e71be8a884a4"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" markup="none">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Comp.]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<textField>
				<reportElement style="table_TD" x="0" y="0" width="82" height="20" uuid="e69feb1a-4296-4fc8-adf7-9695f6ab7165"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{tableScadenzarioData}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement style="table_TD" x="82" y="0" width="329" height="20" uuid="b8e685d9-4b1d-4ab0-a3fe-f61a05cc19e9"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{tableScadenzarioDescrizione}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement style="table_TD" x="411" y="0" width="165" height="20" uuid="7e5c26ce-0db6-441b-ab23-bffd200d192b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{tableScadenzarioControparte}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement style="table_TD" x="576" y="0" width="160" height="20" uuid="bb7554eb-2a8c-4a7e-9298-4b70490cc3f7"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{tableScadenzarioImporto}]]></textFieldExpression>
			</textField>
			<frame>
				<reportElement x="736" y="0" width="66" height="20" uuid="9d56e2d9-2ffe-4631-aac6-d26f50d871ab"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<rectangle>
					<reportElement x="23" y="2" width="15" height="15" uuid="272987bf-132a-44d9-a58f-98daaafa6d3c"/>
				</rectangle>
				<line>
					<reportElement x="27" y="10" width="3" height="3" uuid="8c233d4b-a4e2-483a-8688-09d0a0071d5d">
						<printWhenExpression><![CDATA[$F{tableScadenzarioCompletato}]]></printWhenExpression>
					</reportElement>
				</line>
				<line direction="BottomUp">
					<reportElement x="30" y="5" width="4" height="8" uuid="db5b9df9-7abd-4cda-ae0f-9e576389269c">
						<printWhenExpression><![CDATA[$F{tableScadenzarioCompletato}]]></printWhenExpression>
					</reportElement>
				</line>
			</frame>
		</band>
	</detail>
	<columnFooter>
		<band height="24" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="109" height="24" forecolor="#0033FF" uuid="2397605b-07f9-4664-9bbe-4bcd9e921280"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="12"/>
				</textElement>
				<text><![CDATA[Prima Nota Facile]]></text>
			</staticText>
			<staticText>
				<reportElement x="109" y="0" width="135" height="24" uuid="ffcabf10-d5f8-4ea3-9888-2c3833d7ce53"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[www.primanotafacilepro.it]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy">
				<reportElement x="683" y="0" width="115" height="24" uuid="dc2fd5b8-a70e-4827-b6ff-e5e1ddbdd9f4"/>
				<textElement textAlignment="Right" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="347" y="0" width="34" height="24" uuid="0338db9e-f561-4c23-8dc3-9b32e13a298e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Pagina]]></text>
			</staticText>
			<staticText>
				<reportElement x="400" y="0" width="21" height="24" uuid="488b6714-3399-4618-a2b4-65443969ff7e"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Di]]></text>
			</staticText>
			<textField>
				<reportElement x="381" y="0" width="19" height="24" uuid="46888a74-1638-44ca-b539-3ac85b3b1908"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement x="421" y="0" width="21" height="24" uuid="f6b5890d-913c-4832-8893-91114ac67ef4"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
		</band>
	</columnFooter>
	<summary>
		<band height="50">
			<staticText>
				<reportElement x="410" y="0" width="166" height="20" uuid="af819216-2f82-4000-9b11-4bd77b2fc1a8"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="13" isBold="true"/>
				</textElement>
				<text><![CDATA[Totale Scadenze:]]></text>
			</staticText>
			<textField pattern="">
				<reportElement x="576" y="0" width="160" height="20" uuid="e1629873-e77f-44a0-bcd1-e2c2470200dc"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="13"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{totaleScadenze}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
